
QGIS Application - Bug report #158

loading a float raster layer returns an integer when the no-data value is an integer.

2006-06-22 09:54 AM - ken-rockies-ca -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10217

Description

If you have an AAIGrid raster layer no-data value set to -9999, such as when you export an AAIGrid from [[ArcMAP]], the layer will viewed

as an integer layer, even if the values are floating points. If you do a fine and replace and change -9999 to -9999.5 or -1.#QNAN it will be

displayed as a floating point appropriately.

History

#1 - 2006-10-23 01:56 AM - Gavin Macaulay -

Can you attach an example file that has this problem?

#2 - 2006-10-28 09:53 PM - anonymous -

- Resolution set to fixed

- Status changed from Open to Closed

This is a problem in GDAL. It has been fixed (see http://lists.maptools.org/pipermail/gdal-dev/2006-July/009572.html and 

http://bugzilla.remotesensing.org/show_bug.cgi?id=1071), but missed the 1.3.2 release of GDAL (the latest).

#3 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
